Name:		mariadb-aes256
Version:	1.0.5
Release:	1%{?dist}
Epoch:      10
Summary:	MariaDB AES-256 UDF

Group:		Applications/Databases
License:	GPLv2
URL:		https://github.com/Joungkyun/lib_mysqludf_aes256
# https://codeload.github.com/Joungkyun/lib_mysqludf_aes256/tar.gz/1.0.5
#Source0:	lib_mysqludf_aes256-%{version}.tar.bz2

BuildRequires:	mariadb-devel >= 10.0
Requires:	mariadb-server >= 10.0

%description
Support AES-256 Encryption with UDF (User Defined Function)


%prep
%setup -c -T -n lib_mysqludf_aes256-%{version}

[ -f "../lib_mysqludf_aes256-%{version}.tar.gz" ] && \
	mv ../lib_mysqludf_aes256-%{version}.tar.gz ./ || \
	curl -o lib_mysqludf_aes256-%{version}.tar.gz \
		https://codeload.github.com/Joungkyun/lib_mysqludf_aes256/tar.gz/%{version}

tar xvfpz lib_mysqludf_aes256-%{version}.tar.gz >& /dev/null
mv lib_mysqludf_aes256-%{version}/* ./
rm -rf lib_mysqludf_aes256-%{version}/


%build
%configure \
	--with-mysql=%{_prefix} \
	--with-mysql-config=%{_bindir}/mysql_config

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
(
	cd %{buildroot}%{_docdir}
	mv lib_mysqludf_aes256-%{version} %{name}-%{version}
	cd -
)

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/mysql/plugin/*.so
%{_docdir}/%{name}-%{version}/*

%changelog
* Tue Dec 13 2016 JoungKyun.Kim <http://oops.org> 10:1.0.5-1-%{?dist}
- update 1.0.5
- for mariadb 10.0 branch

* Tue Jun  4 2014 JoungKyun.Kim <http://oops.org> 1.0.2-1%{?dist}
- update 1.0.3
- 인자를 column name으로 주었을 경우 에러 수정

* Mon Sep 23 2013 JoungKyun.Kim <http://oops.org> 1.0.0-1%{?dist}
- first packaged
